function L = EfficientFrontier(R, rho, fig, colore)

for i= 0.01:0.02:0.99 %indice che definisce i valori entro cui far girare il ciclo e quindi variare i pesi
    
    %Definizione dei nuovi pesi espressi in funzione dell'indice i.
    %Varieranno al variare di i.
    w1 = i;
    w2 = 1-i;    
    w = [w1;w2];
    %Ricalcolo del rendimento e della deviazione standard del portafoglio
    %con i pesi temporanei w1_temp e w2_temp
    meanPort = mean(R)*w;
    Var_R2 = var(R);
    Sigma = [Var_R2(1) rho*sqrt(Var_R2(1)*Var_R2(2));rho*sqrt(Var_R2(1)*Var_R2(2)) Var_R2(2)];
    Vp = w'*Sigma*w;    
    stdPort = sqrt(Vp);

    
    %plot del grafico per ogni portafoglio
    figure(fig)
    
    %l'assegnazione di un nome al grafico, permette di gestire pi agevolmente
    %la legenda. Dato che MatLab sovrascrive le variabili, solo l'ultimo rimarr salvato e cos 
    % possibile evitare la proliferazione dei grafici che pu creare problemi nella costruzione 
    %legenda
    
    L = plot(stdPort,meanPort,colore,'MarkerSize',7);
    %il comando hold on lascia la finestra con il grafico aperta e
    %permette di sovrapporre i grafici
    hold on
    
    %settiamo i limiti degli assi per migliorare la visualizzazione

    
end

hold off

end

